body
  font: 14px "Google Sans", "Lucida Grande", Helvetica, Arial, sans-serif
  position: relative
  min-height: 100vh

.largepadding
  padding: 50px

.smallpadding
  padding: 5px

.no-overflow-x
  overflow-x: hidden

a
  color: #00B7FF

.color-red
  color: red

.color-green
  color: green

.form-group.required label:after
  color: red
  font-family: "Font Awesome 5 Pro"
  font-weight: normal
  font-size: 0.5em
  content: "\f069"
  vertical-align: top

.required-nonfg:after
  color: red
  font-family: "Font Awesome 5 Pro"
  font-weight: normal
  font-size: 0.5em
  content: "\f069"
  vertical-align: top

footer
  text-align: right
  margin-right: 30px
  position: absolute
  bottom: 0
  width: 99%
  height: 2.5rem

.login-body
  background: url(../img/bg-ntu-arc.png) no-repeat center center fixed
  background-size: cover

.code-editor
  height: 700px
  width: 100%

.code-editor-col
  height: 400px
  resize: vertical
  overflow-y: auto

.code-editor-resize
  height: 100%
  width: 100%

.code-editor-small
  height: 350px
  width: 100%

div.sliding
  display: none

table.dataTable tbody td.nope-padding
  padding: 0

.test-case-height
  max-height: 300px
  overflow-y: auto

.readonly-highlight
  background-color: red
  opacity: 0.2
  position: absolute

#toTopBtn
  display: none /* Hidden by default */
  position: fixed /* Fixed/sticky position */
  bottom: 20px /* Place the button at the bottom of the page */
  right: 30px /* Place the button 30px from the right */
  z-index: 99 /* Make sure it does not overlap */
  height: 50px
  width: 50px
  border: none /* Remove borders */
  outline: none /* Remove outline */
  background-color: gray /* Set a background color */
  color: white /* Text color */
  cursor: pointer /* Add a mouse pointer on hover */
  padding: 15px /* Some padding */
  border-radius: 50% /* Rounded corners */
  font-size: 18px /* Increase font size */

#toTopBtn:hover
  background-color: #555 /* Add a dark-grey background on hover */

ul.quiz-section-list:empty::after
  content: "No Questions in Section. Add or drag questions here!"
  font-size: larger

div#addQn
  position: fixed
  padding: 16px
  background: white
  top: 0
  height: 100%
  width: 0
  right: -50em
  z-index: 2
  overflow-x: hidden
  transition: right 400ms ease-in
  -webkit-transition: right 400ms ease-in
  -moz-transition: right 400ms ease-in

div.popout
  right: 0!important
  width: 50%!important

div.backdrop
  position: absolute
  top: 0
  right: 0
  z-index: 1
  background: rgba(0,0,0,0.3)
  width: 100%
  height: 100%

// Slide Out Tab for Quiz
.slide-out-tab
  position: fixed
  width: 300px
  height: 800px
  top: 30px
  right: -300px
  transition-property: all
  transition-duration: .5s
  transition-timing-function: cubic-bezier(0, 1, 0.5, 1)
  z-index: 1

.slide-out-tab-peek
  margin-top: 50px
  position: absolute
  left: -38px
  height: 150px
  width: 40px
  -webkit-box-shadow: 0 5px 15px rgba(0, 0, 0, .5)
  box-shadow: 0 5px 15px rgba(0, 0, 0, .5)
  background: #F2AB34
  border-radius: 15px 0 0 15px

.slide-out-tab-list
  top: 30px
  min-height: 190px
  -webkit-box-shadow: 0 5px 15px rgba(0, 0, 0, .5)
  box-shadow: 0 5px 15px rgba(0, 0, 0, .5)
  //background: #F2AB34

.slide-out-tab-peek-text
  text-align: center
  position: relative
  right: 45px
  top: 65px
  background: #F2AB34
  width: 130px
  -webkit-transform: rotate(270deg)
  -moz-transform: rotate(270deg)
  -o-transform: rotate(270deg)
  writing-mode: lr-tb

.showSlideOut
  right: 0!important


// Spinner
$offset: 187
$duration: 1.4s

.spinner-box
  display: flex
  align-items: center
  justify-content: center

.newlinesupport
  white-space: pre-wrap

.spinner
  animation: rotator $duration linear infinite

@keyframes rotator
  0%
    transform: rotate(0deg)
  100%
    transform: rotate(270deg)

.spinner-path
  stroke-dasharray: $offset
  stroke-dashoffset: 0
  transform-origin: center
  animation: spinner-dash $duration ease-in-out infinite, spinner-colors ($duration * 4) ease-in-out infinite

@keyframes spinner-colors
  0%
    stroke: #4285F4
  25%
    stroke: #DE3E35
  50%
    stroke: #F7C223
  75%
    stroke: #1B9A59
  100%
    stroke: #4285F4

@keyframes spinner-dash
  0%
    stroke-dashoffset: $offset
  50%
    stroke-dashoffset: $offset / 4
    transform: rotate(135deg)
  100%
    stroke-dashoffset: $offset
    transform: rotate(450deg)